This page detects your browser, settings and plug-ins. This page provides access for testing plug-ins you may need to make your course(s) function properly.

Idaho Digital Learning (IDLA) recommends using Mozilla Firefox with Blackboard.

At a minimum, Blackboard requires JavaScript and Cookies to be enabled in your browser. These are the default applications that every IDLA course uses. Specialized courses may also have special software requirements, these requirements are made known at the beginning of classes, and is also available to your Site Coordinator through our registration system.

Browser Information

WarningYour Browser: 
Your Operating System: 

If you see a fail or warning icon, review the official list of supported browsers and consider upgrading: http://kb.blackboard.com/pages/viewpage.action?pageId=72810639

  • Firefox (current stable version) is the recommended browser for accessing Blackboard.
  • Any Browser/ Operating system determined to be compatible with Blackboard will pass this check.
  • Browsers identified as compatible have been partially tested by Blackboard, but should function.
  • If you are using Internet Explorer 6 or earlier, it is not supported by Blackboard.
  • Beta versions of any browser are not supported by Blackboard.

Broswer Settings for Internet Explorer 7, 8 and Firefox:
*Read this document on Optimum Browser Settings for Internet Explorer 7.0, 8.0 and Firefox 3.0(+) [PDF]

 

Cookies

Warning

A cookie (also tracking cookie, browser cookie, and HTTP cookie) is a small piece of text stored on a user's computer by a web browser. http://en.wikipedia.org/wiki/HTTP_cookie. Different features of Blackboard use cookies.

 

Pop-up Windows

Warning

While using Blackboard 9.1, if you are unable to view discussion postings, quiz windows, and download links, then you may need to disable pop-up blocking for your web browser.

 

Javascript

Warning

Javascript is a scripting language used in many web pages to create events and interactivity on the page. Almost every part of the Learning System relies on Javascript for the ability to generate interactive web pages.

 

Plugin Checks

Plugin Installed Version Comment
Adobe Flash Required
Adobe Reader Required
Apple QuickTime Recommended
Windows Media Player Only Required for PC
Adobe Shockwave Full Player Required
For more information see for version and download information..
 

Java

If the box above shows your Java version number, check to make sure it is 1.7 or higher. If it is grey or older than 1.6 click here to review your settings on the Java site. (will open in a new window)

Blackboard 9 makes use of Java content for many of its elements. For all operating systems, the supported version is Java Standard Edition 7. If you are using a Mac, please ensure you use either Mozilla Firefox or Safari as Mac requires 64-bit browsers to use Java.

PC: choose "Free Download"; you will probably want "Java Runtime Environment" or "Java for Windows" version 6.

Mac: Tiger (10.4) and Leopard (10.5) already include Java SE 5 (1.5). Use the Software Update feature (available on the Apple menu) to check that you have the most up-to-date version of Java for your Mac.